List of all members
clan::DomImplementation Class Reference
clanCore XML

DOM Implementation class. More...

`#include <dom_implementation.h>`

## Public Member Functions
Construction
| DomImplementation ()
| Constructs a DOM Implementation handle. More...
| DomImplementation (DomDocument &doc)
| Constructs a DomImplementation. More...
| ~DomImplementation ()
Operations
bool | has_feature (const DomString &feature, const DomString &version)
| Test if the DOM implementation implements a specific feature. More...
DomDocumentType | create_document_type (const DomString &qualified_name, const DomString &public_id, const DomString &system_id)
| Creates an empty DocumentType node. More...
DomDocument | create_document (const DomString &namespace_uri, const DomString &qualified_name, const DomDocumentType &doctype)
| Creates an XML Document object of the specified type with its document element. More...

## Detailed Description

DOM Implementation class.

The DOM Implementation interface provides a number of methods for performing operations that are independent of any particular instance of the document object model.

The documentation for this class was generated from the following file:

- dom_implementation.h